import java.awt.Graphics;
 import java.util.*;
 import java.text.*;
 import java.util.Locale;
 import java.awt.image.*;
 
 import java.awt.*;

import java.awt.geom.*;
import java.awt.font.*;
import javax.swing.*;

// ============
public class lampP extends JPanel
{ private static final long serialVersionUID = 756764376L;
     Color c;
     public lampP(Color ci)
     {c=ci;}
     public void setPaint(Color ci)
     {c=ci;repaint();}
     public void paintComponent(Graphics g) 
     {
	 super.paintComponent(g);
     Graphics2D g2=(Graphics2D)g;	 
     g2.setFont(new Font("Serif",Font.BOLD,24));	 
     g2.setColor(Color.black);
     this.setBackground(new Color(0,0,255));
     g2.setStroke(new BasicStroke(5.0f));
     Ellipse2D x1=new Ellipse2D.Double(10,10,200,200);
     g2.draw(x1);     
     g2.setColor(c);
     Ellipse2D x2=new Ellipse2D.Double(15,15,190,190);
     g2.fill(x2);
     repaint();
    }
}
